Subject: Re: [PATCH 7/16] powerpc: add support for ps3 platform

From: Christoph Hellwig <[email-masked]>
Date: Tue, 21 Nov 2006 14:45:29 +0100

On Tue, Nov 21, 2006 at 02:42:30PM +0100, Arnd Bergmann wrote:
> On Tuesday 21 November 2006 14:22, Christoph Hellwig wrote:
> > The whole port is hypervisor-specific. ?It should be called ps3hv or
> > sonyhv (in case the plan for more hardware that's crippled by this
> > hypervisor) 
> 
> The hypervisor has a name, it's called 'lv1', and the port already
> uses that identifier for the low-level interfaces.
> If the platform is named after the hypervisor, we should not make up
> a new name but use the one that is already there.

Actually that makes even more sense, yes.

> > ps3 should be left for a bare metal port that people may or may not do 
> 
> If there will ever be a native port, that will not need its platform
> directory but can simply go into into common platforms/cell/ and sysdev
> directories, with a small file for the ppc_md instance. All the interesting
> files (page table, iommu, interrupt handling) would be shared with native
> ports to different hardware.

I guess so, yes.  We'd still add a CONFIG_PS3 for it to not bloat
kernels that don't want support.